stages:
  - build
  - package
  - deploy


buildApp:
  stage: build
  image:
    name: gaelbouquain/fable-build
  script:
    - yarn
    - yarn prebuild
    - yarn build
  artifacts:
    paths:
      - build
      - package.json
    untracked: false
    expire_in: 1 days

createImage:
  stage: package
  image:
    name: gcr.io/kaniko-project/executor:debug
    entrypoint: [""]
  script:
    - mkdir -p /kaniko/.docker
    - echo "{\"auths\":{\"$CI_REGISTRY\":{\"username\":\"$CI_REGISTRY_USER\",\"password\":\"$CI_REGISTRY_PASSWORD\"}}}" > /kaniko/.docker/config.json
    - /kaniko/executor --context $CI_PROJECT_DIR --dockerfile $CI_PROJECT_DIR/Dockerfile --destination $CI_REGISTRY_IMAGE:$CI_COMMIT_TAG

deploy:
  stage: deploy
  image:
    name: docker/compose
  variables:
    DOCKER_HOST: unix:///var/run/docker.sock
  script:
    - docker login -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD $CI_REGISTRY
    - docker-compose pull
    - docker rm -f pichou-discord-bot
    - docker-compose up -d
  tags:
    - carne8-docker
